# SetConfigFile

### void SetConfigFile(string strConfigFile)

EZGemPlus에 Confing 파일을 불러와 설정내용을 적용해 주는 함수.

현재 설정 내용은 SaveConfigFile함수를 이용하여 저장할 수 있습니다.

Parameters

<table data-header-hidden><thead><tr><th width="182" valign="top"></th><th width="113" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">strConfigFile</td><td valign="top">string</td><td valign="top">파일명</td></tr></tbody></table>

```csharp
m_gem.SetConfigFile("TEST");    //TEST파일의 Config를 GEM에 적용합니다.
```

```
//TEST파일 내부

IP=127.0.0.1 
PORT=5000 

#SECSI_PROPERTIES 
COMM=1 
BAUDRATE=9600 
PARITYBITS=NONE 
DATABITS=8 
STOPBITS=1 

#TIMER_PROPERTIES 
T1=0 
T2=0 
T3=10 
T4=0 
T5=10 
T6=10 
T7=10 
T8=10 
LINKTESTINTERVAL=60 
RETRY=0 
```

상기와 같이 모든 Config가 적용됩니다.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-1/setconfigfile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
